#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:		kpublictransport
Version: 20.12.0
Release:	%mkrel %{rel}
Summary:	Library for reading public transport information
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-macros

BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(protobuf)

BuildRequires:	osmctools
Requires:	osmctools

%description
Public transport application for Plasma.

%files
%{_kf5_categoriesdir}/org_kde_kpublictransport.*categories
%{_kf5_qmldir}/org/kde/kpublictransport

#-------------------------------------------------------------------------

%define kpublictransport_major 1
%define libkpublictransport %mklibname kpublictransport %{kpublictransport_major}

%package -n %{libkpublictransport}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransport}
Library for reading public transport information.

%files -n %{libkpublictransport}
%{_kf5_libdir}/libKPublicTransport.so.%{kpublictransport_major}{,.*}
%{_kf5_libdir}/libKPublicTransport.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpublictransport} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KPublicTransport/
%{_includedir}/kpublictransport/
%{_includedir}/kpublictransport_version.h
%{_kf5_libdir}/libKPublicTransport.so
%{_kf5_libdir}/cmake/KPublicTransport/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-2.mga8
+ Revision: 1657124
- add missing dependency on osmctools

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657113
- initial package kpublictransport

